AGTCloud API Docs
GuidesAPI ReferenceIntegrations and resourcesUpdate and help
Video generationOpenAI Videos

Retrieve a video

Retrieve a video task through the OpenAI Videos API.

Use the Video ID returned by the create endpoint to retrieve the task status, generation progress, and result metadata. Stop polling after the task succeeds or fails.

GET/v1/videos/{video_id}

Use the Video ID returned by the create endpoint to retrieve task status and result metadata. Video generation is asynchronous. If the task is still processing, retrieve it again later and stop polling after it becomes succeeded or failed.

Limit the number of polling attempts and set an overall timeout to avoid endless or overly frequent requests. This endpoint does not use the platform Video Generations task path or status values.

Authorization

bearerAuth
AuthorizationBearer <token>

Use Bearer your-api-key in the Authorization Header.

In: header

Path Parameters

video_id*string

Video ID returned by the create endpoint.

Length1 <= length

Response Body

application/json

application/json

application/json

application/json

application/json

application/json